com.tibbo.aggregate.common.sql

## Interface SqlColumn

- All Known Implementing Classes:
    NotExistSqlColumn, SimpleSqlColumn

      public interface SqlColumn

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataType()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getParentPrimaryColumnName()`
    `java.lang.String` | `getRealName()`
    `java.lang.String` | `getReferencedTableName()`
    `SqlTable` | `getTable()`
    `java.lang.String` | `getTypeName()`
    `boolean` | `isAutoIncrement()`
    `boolean` | `isDataBlock()`
    `boolean` | `isForeignKey()`
    `boolean` | `isNullable()`
    `boolean` | `isNumber()`
    `boolean` | `isPrimaryKey()`
    `boolean` | `isString()`
    `void` | `setParentPrimaryColumnName(java.lang.String parentPrimaryColumnName)`
    `void` | `setPrimaryKey(boolean pk)`
    `void` | `setReferencedTableName(java.lang.String parentTableName)`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### isPrimaryKey

          boolean isPrimaryKey()

    - #### isForeignKey

          boolean isForeignKey()

    - #### getTypeName

          java.lang.String getTypeName()

    - #### isNullable

          boolean isNullable()

    - #### getRealName

          java.lang.String getRealName()

    - #### getTable

          SqlTable getTable()

    - #### getDataType

          int getDataType()

    - #### setReferencedTableName

          void setReferencedTableName(java.lang.String parentTableName)

    - #### setParentPrimaryColumnName

          void setParentPrimaryColumnName(java.lang.String parentPrimaryColumnName)

    - #### getReferencedTableName

          java.lang.String getReferencedTableName()

    - #### getParentPrimaryColumnName

          java.lang.String getParentPrimaryColumnName()

    - #### setPrimaryKey

          void setPrimaryKey(boolean pk)

    - #### isAutoIncrement

          boolean isAutoIncrement()

    - #### isNumber

          boolean isNumber()

    - #### isString

          boolean isString()

    - #### isDataBlock

          boolean isDataBlock()